summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorTing-Wei Lan <lantw44@gmail.com>2015-10-19 03:13:48 +0800
committerTing-Wei Lan <lantw44@gmail.com>2015-10-19 03:13:48 +0800
commitadd554d70fd6c904ac73502e6746e700e961ae53 (patch)
treee388af1efe3fc851d2d3680f7a7f63d59e35edff /autogen.sh
parent274a987bc3d8f03cd9a04fa7da93c5e54fc2c10c (diff)
downloadcompiler2015-add554d70fd6c904ac73502e6746e700e961ae53.tar
compiler2015-add554d70fd6c904ac73502e6746e700e961ae53.tar.gz
compiler2015-add554d70fd6c904ac73502e6746e700e961ae53.tar.bz2
compiler2015-add554d70fd6c904ac73502e6746e700e961ae53.tar.lz
compiler2015-add554d70fd6c904ac73502e6746e700e961ae53.tar.xz
compiler2015-add554d70fd6c904ac73502e6746e700e961ae53.tar.zst
compiler2015-add554d70fd6c904ac73502e6746e700e961ae53.zip
Add a simple autotools build system
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..c2907c1
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+if [ "$#" = 0 ] && [ -z "$NOCONFIGURE" ]; then
+ echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** \`$0' command line." >&2
+ echo "" >&2
+fi
+
+( cd "$srcdir" && autoreconf -fiv && rm -rf autom4te.cache )
+
+if [ -z "$NOCONFIGURE" ]; then
+ "$srcdir/configure" "$@" || exit 1
+fi